<template>
    <nav class="mt-4 mb-3 text-right">
        <ul class="pagination justify-content-center mb-0">
            <!-- PREVIOUS PAGE BUTTON -->
            <li class="page-item" v-if="data.page > 1">
                <a
                    class="page-link prev"
                    href="javascript:void(0)"
                    @click="pagePressed(data.page - 1)"
                >
                    <q-icon size="sm" name="chevron_left"></q-icon>
                </a>
            </li>

            <!-- PREVIOUS PAGE -->
            <li class="page-item" v-if="data.page - 1 > 0">
                <a
                    class="page-link"
                    href="javascript:void(0)"
                    @click="pagePressed(data.page - 1)"
                >
                    {{ data.page - 1 }}
                </a>
            </li>

            <!-- CURRENT PAGE -->
            <li class="page-item active">
                <a class="page-link" href="javascript:void(0)">
                    {{ data.page }}
                </a>
            </li>

            <!-- NEXT PAGE -->
            <li class="page-item" v-if="data.page < data.totalPage">
                <a
                    class="page-link"
                    href="javascript:void(0)"
                    @click="pagePressed(data.page + 1)"
                >
                    {{ data.page + 1 }}
                </a>
            </li>

            <!-- ... PAGE -->
           <!--\  <li class="page-item">
                <a class="page-link" href="javascript:void(0)">...</a>
            </li> -->

            <!-- NEXT PAGE BUTTON -->
            <li class="page-item" v-if="data.page < data.totalPage">
                <a
                    class="page-link next"
                    aria-label="Next"
                    href="javascript:void(0)"
                    @click="pagePressed(data.page + 1)"
                >
                    <q-icon size="sm" name="chevron_right"></q-icon>
                </a>
            </li>
        </ul>
    </nav>
</template>

<script lang="ts">
import { defineComponent, reactive } from 'vue';
import { VueCookieNext } from 'vue-cookie-next';
import { useI18n } from 'vue-i18n';

export default defineComponent({
    name: 'VueDataPagination',
    props: ['data', 'selectPagePressed'],
    setup(props) {
        // data
        let state = reactive({
            isCheckAll: false,
            selected: [null]
        });

        // localization
        const { t, locale } = useI18n();

        const lang = VueCookieNext.isCookieAvailable('l')
            ? VueCookieNext.getCookie('l')
            : 'en';

        // methods
        const pagePressed = (id: number) => {
            props.selectPagePressed(id);
        };


        // return data
        return {
            t,
            locale,
            lang,
            state,
            pagePressed
        };
    }
});
</script>
